| ghc-6.10.4: The GHC API | Contents | Index

CmmCPSGen

Synopsis

continuationToProc :: (WordOff, WordOff, [(CLabel, ContinuationFormat)]) -> CmmReg -> [[[Unique]]] -> Continuation CmmInfo -> CmmTop
data Continuation info = Continuation info CLabel CmmFormalsWithoutKinds Bool [BrokenBlock]
continuationLabel

data ContinuationFormat = ContinuationFormat {

continuation_formals :: CmmFormalsWithoutKinds
continuation_label :: Maybe CLabel
continuation_frame_size :: WordOff
continuation_stack :: [Maybe LocalReg]

}

Documentation
Converts continuations into full proceedures. The main work of the CPS transform that everything else is setting-up.
continuationToProc :: (WordOff, WordOff, [(CLabel, ContinuationFormat)]) -> CmmReg -> [[[Unique]]] -> Continuation CmmInfo -> CmmTop
data Continuation info

Constructors

Continuation info CLabel CmmFormalsWithoutKinds Bool [BrokenBlock] |

continuationLabel
data ContinuationFormat

Constructors

ContinuationFormat |

continuation_formals :: CmmFormalsWithoutKinds |
continuation_label :: Maybe CLabel |
continuation_frame_size :: WordOff |
continuation_stack :: [Maybe LocalReg] |

Produced by Haddock version 2.4.2